@cryptotaxi247 / netdata-1 / commits / 6d90975e0

change the moto and the description of netdata (#19696)

* change the moto and the description of netdata * Update netdata-installer.sh * Update netdata.spec.in * Update Packaging.cmake * Update makeself-help-header.txt * Update makeself-license.txt * Update main.c * Update netdata.service.in * Update netdata.service.v235.in

Costa Tsaousis committed Feb 23, 2025 at 13:02 UTC 6d90975e0283cbc159a408d86262119e2d1fde49
12 files changed +38 -44
netdata-installer.sh
+1 -1
@@ -425,7 +425,7 @@ if [ "$(id -u)" -ne 0 ] && [ -z "${NETDATA_PREPARE_ONLY}" ]; then
425 fi
426
427 netdata_banner
428 -progress "monitoring and troubleshooting, transformed!"
428 +progress "Netdata, X-Ray Vision for your infrastructure!"
429 cat << BANNER1
430
431 You are about to build and install netdata to your system.
netdata.spec.in
+5 -8
@@ -120,7 +120,7 @@ AutoReqProv: yes
120 # Filter known bogus deps that would be caught by AutoReqProv.
121 %global __requires_exclude_from ^%{_libdir}/%{name}/system/.*$
122
123 -Summary: Netdata - Monitoring and troubleshooting, transformed!
123 +Summary: Netdata - X-Ray Vision for your infrastructure!
124 Name: netdata
125 Version: %{version}
126 Release: 1%{?dist}
@@ -317,13 +317,10 @@ BuildRequires: flex
317 # #####################################################################
318
319 %description
320 - netdata is the fastest way to visualize metrics. It is a resource
321 -efficient, highly optimized system for collecting and visualizing any
322 -type of realtime timeseries data, from CPU usage, disk activity, SQL
323 -queries, API calls, web site visitors, etc.
324 - netdata tries to visualize the truth of now, in its greatest detail,
325 -so that you can get insights of what is happening now and what just
326 -happened, on your systems and applications.
320 + netdata is a high-resolution, real-time, low-latency observability platform.
321 +Per-second data collection, high-performance long-term storage, low-latency
322 +visualization, machine-learning based anomaly detection, alerts and notifications,
323 +advanced correlations and fast root cause analysis, native horizontal scalability.
324
325 %prep
326 %setup -q -n "%{name}-%{version}"
packaging/cmake/Modules/Packaging.cmake
+4 -5
@@ -46,11 +46,10 @@ set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Netdata Builder <bot@netdata.cloud>")
46 #
47
48 set(CPACK_COMPONENT_NETDATA_DESCRIPTION
49 - "real-time charts for system monitoring
50 - Netdata is a daemon that collects data in realtime (per second)
51 - and presents a web site to view and analyze them. The presentation
52 - is also real-time and full of interactive charts that precisely
53 - render all collected values.")
49 + "Netdata is a high-resolution, real-time, low-latency observability platform.
50 + Per-second data collection, high-performance long-term storage, low-latency
51 + visualization, machine-learning based anomaly detection, alerts and notifications,
52 + advanced correlations and fast root cause analysis, native horizontal scalability.")
53
54 set(CPACK_DEBIAN_NETDATA_PACKAGE_NAME "netdata")
55 set(CPACK_DEBIAN_NETDATA_PACKAGE_SECTION "net")
packaging/installer/kickstart.sh
+2 -2
@@ -431,8 +431,8 @@ support_list() {
431 }
432
433 success_banner() {
434 - printf >&2 "%s\n" "To view your system's real-time performance metrics, open your web browser and enter http://NODE:19999."
435 - printf >&2 "%s\n\n" "Replace NODE with the IP address or hostname of your Netdata server to access the dashboard."
434 + printf >&2 "%s\n" "To view the dashboard, open your web browser and enter http://NODE:19999."
435 + printf >&2 "%s\n\n" "Replace NODE with the IP address or hostname of your Netdata server."
436
437 printf >&2 "%s\n\n" "Official documentation can be found online at ${DOCS_URL}."
438
packaging/makeself/makeself-help-header.txt
+2 -2
@@ -1,7 +1,7 @@
1
2 ^
3 - |.-. .-. .-. .-. . netdata
4 - | '-' '-' '-' '-' monitoring and troubleshooting, transformed!
3 + |.-. .-. .-. .-. . Netdata
4 + | '-' '-' '-' '-' X-Ray Vision for your infrastructure!
5 +----+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+--->
6
7 Copyright 2018-2025 Netdata Inc.
packaging/makeself/makeself-license.txt
+2 -2
@@ -1,7 +1,7 @@
1
2 ^
3 - |.-. .-. .-. .-. . netdata
4 - | '-' '-' '-' '-' monitoring and troubleshooting, transformed!
3 + |.-. .-. .-. .-. . Netdata
4 + | '-' '-' '-' '-' X-Ray Vision for your infrastructure!
5 +----+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+--->
6
7 Copyright 2018-2025 Netdata Inc.
packaging/makeself/makeself.lsm
+5 -6
@@ -1,12 +1,11 @@
1 Begin3
2 Title: netdata
3 Version: NETDATA_VERSION
4 -Description: Netdata - Monitoring and troubleshooting, transformed!
5 - It provides unparalleled insights, in real-time, of everything happening on the
6 - systems it runs (including applications such as web and database servers), using
7 - modern interactive web dashboards. netdata is fast and efficient, designed to
8 - permanently run on all systems (physical & virtual servers, containers, IoT
9 - devices), without disrupting their core function.
4 +Description: netdata - X-Ray Vision for your infrastructure!
5 + netdata is a high-resolution, real-time, low-latency observability platform.
6 + Per-second data collection, high-performance long-term storage, low-latency
7 + visualization, machine-learning based anomaly detection, alerts and notifications,
8 + advanced correlations and fast root cause analysis, native horizontal scalability.
9 Keywords: real-time performance and health monitoring
10 Author: Netdata Inc.
11 Maintained-by: Netdata Inc.
src/daemon/main.c
+2 -2
@@ -100,8 +100,8 @@ int help(int exitcode) {
100
101 fprintf(stream, "%s", "\n"
102 " ^\n"
103 - " |.-. .-. .-. .-. . netdata \n"
104 - " | '-' '-' '-' '-' monitoring and troubleshooting, transformed! \n"
103 + " |.-. .-. .-. .-. . Netdata \n"
104 + " | '-' '-' '-' '-' X-Ray Vision for your infrastructure! \n"
105 " +----+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+-----+--->\n"
106 "\n"
107 " Copyright 2018-2025 Netdata Inc.\n"
system/initd/init.d/netdata.in
+5 -5
@@ -1,12 +1,12 @@
1 #!/bin/sh
2 # SPDX-License-Identifier: GPL-3.0-or-later
3 #
4 -# Netdata - Monitoring and troubleshooting, transformed!
4 +# Netdata - X-Ray Vision for your infrastructure!
5 # chkconfig: 345 99 01
6 -# description: Netdata is a daemon that collects data in real-time (per second)
7 -# and presents a web site to view and analyze them. The presentation
8 -# is also real-time and full of interactive charts that precisely
9 -# render all collected values.
6 +# description: netdata is a high-resolution, real-time, low-latency observability platform.
7 +# Per-second data collection, high-performance long-term storage, low-latency
8 +# visualization, machine-learning based anomaly detection, alerts and notifications,
9 +# advanced correlations and fast root cause analysis, native horizontal scalability.
10 # processname: netdata
11
12 # Source functions
system/lsb/init.d/netdata.in
+8 -9
@@ -11,9 +11,8 @@
11 # Should-Stop: $local_fs $network $named $remote_fs $time $all
12 # Default-Start: 2 3 4 5
13 # Default-Stop: 0 1 6
14 -# Short-Description: Start and stop the netdata real-time monitoring server daemon
15 -# Description: Controls the main netdata monitoring server daemon "netdata".
16 -# and all its plugins.
14 +# Short-Description: Start and stop netdata
15 +# Description: Controls the main netdata process and all its plugins.
16 ### END INIT INFO
17 #
18 set -e
@@ -41,23 +40,23 @@ service_start() {
40
41 chown @netdata_user_POST@:@netdata_user_POST@ $PIDFILE_PATH
42
44 - log_success_msg "Starting real-time performance monitoring"
43 + log_success_msg "Starting netdata"
44 start_daemon -p $PIDFILE $DAEMON_PATH/$DAEMON $DAEMONOPTS
45 RETVAL=$?
46 case "${RETVAL}" in
48 - 0) log_success_msg "Started real-time performance monitoring" ;;
49 - *) log_error_msg "Failed to start real-time performance monitoring" ;;
47 + 0) log_success_msg "Started netdata" ;;
48 + *) log_error_msg "Failed to start netdata" ;;
49 esac
50 return $RETVAL
51 }
52
53 service_stop() {
55 - log_success_msg "Stopping real-time performance monitoring"
54 + log_success_msg "Stopping netdata"
55 killproc -p ${PIDFILE} $DAEMON_PATH/$DAEMON
56 RETVAL=$?
57 case "${RETVAL}" in
59 - 0) log_success_msg "Stopped real-time performance monitoring" ;;
60 - *) log_error_msg "Failed to stop real-time performance monitoring" ;;
58 + 0) log_success_msg "Stopped netdata" ;;
59 + *) log_error_msg "Failed to stop netdata" ;;
60 esac
61
62 if [ $RETVAL -eq 0 ]; then
system/systemd/netdata.service.in
+1 -1
@@ -1,6 +1,6 @@
1 # SPDX-License-Identifier: GPL-3.0-or-later
2 [Unit]
3 -Description=infrastructure monitoring and troubleshooting, transformed
3 +Description=Netdata, X-Ray Vision for your infrastructure!
4
5 # append here other services you want netdata to wait for them to start
6 After=network.target network-online.target nss-lookup.target
system/systemd/netdata.service.v235.in
+1 -1
@@ -1,6 +1,6 @@
1 # SPDX-License-Identifier: GPL-3.0-or-later
2 [Unit]
3 -Description=infrastructure monitoring and troubleshooting, transformed
3 +Description=Netdata, X-Ray Vision for your infrastructure!
4
5 # append here other services you want netdata to wait for them to start
6 After=network.target network-online.target nss-lookup.target